ALLEGRO_SAMPLE(3)

NAME

ALLEGRO_SAMPLE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    typedef struct ALLEGRO_SAMPLE ALLEGRO_SAMPLE;

DESCRIPTION

An ALLEGRO_SAMPLE object stores the data necessary for playing pre-defined digital audio. It holds a user-specified PCM data buffer and information about its format (data length, depth, frequency, channel configuration). You can have the same ALLEGRO_SAMPLE playing multiple times simultaneously.

SEE ALSO

ALLEGRO_SAMPLE_INSTANCE(3)